(executables
  (names cubes)
  (libraries js_of_ocaml-lwt)
  (preprocess (pps js_of_ocaml-ppx)))

(rule
  (targets cubes.js)
  (action
    (run %{bin:js_of_ocaml} --noruntime %{lib:js_of_ocaml-compiler:runtime.js}
         --source-map %{dep:cubes.bc} -o %{targets} --pretty)))

(alias
  (name default)
  (deps cubes.js index.html))
